summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Tarantino Antonino2010-07-02 15:55:32 +0200
committer Robby Workman2010-07-02 15:55:32 +0200
commit47babbda64837999cbaf954474aea1d2eae2951d (patch)
treee0319c31e3e9cd42db006bc5c22a4388bc69a871
parent6be074f057e74ed0104361a2e4d0cdc3eda28e59 (diff)
downloadslackbuilds-47babbda64837999cbaf954474aea1d2eae2951d.tar.gz
misc/ciso: Added (compress PSP iso to cso format)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--misc/ciso/README1
-rw-r--r--misc/ciso/ciso.SlackBuild84
-rw-r--r--misc/ciso/ciso.h.patch14
-rw-r--r--misc/ciso/ciso.info10
-rw-r--r--misc/ciso/fix_includes.patch13
-rw-r--r--misc/ciso/slack-desc19
6 files changed, 141 insertions, 0 deletions
diff --git a/misc/ciso/README b/misc/ciso/README
new file mode 100644
index 0000000000..f6abc53f7e
--- /dev/null
+++ b/misc/ciso/README
@@ -0,0 +1 @@
+Ciso is a small tool to compress your psp iso to cso format.
diff --git a/misc/ciso/ciso.SlackBuild b/misc/ciso/ciso.SlackBuild
new file mode 100644
index 0000000000..d2c8960c42
--- /dev/null
+++ b/misc/ciso/ciso.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for ciso
+
+# Copyright 2008-2009 Tarantino Antonino <metrofox9@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ciso
+VERSION=1.0.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+mkdir -p $TMP $PKG $PKG/usr/bin $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Patching the source for compiling better on x64 arch and for avoiding warnings during compilation
+patch -p0 < $CWD/ciso.h.patch
+patch -p0 < $CWD/fix_includes.patch
+
+make CC="gcc $SLKCFLAGS"
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp license $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/ciso/ciso.h.patch b/misc/ciso/ciso.h.patch
new file mode 100644
index 0000000000..ff8fc16dd1
--- /dev/null
+++ b/misc/ciso/ciso.h.patch
@@ -0,0 +1,14 @@
+--- ciso.h~ 2006-11-03 21:53:02.000000000 +0100
++++ ciso.h 2010-06-27 13:54:03.148928062 +0200
+@@ -28,9 +28,9 @@
+ typedef struct ciso_header
+ {
+ unsigned char magic[4]; /* +00 : 'C','I','S','O' */
+- unsigned long header_size; /* +04 : header size (==0x18) */
++ uint32_t header_size; /* +04 : header size (==0x18) */
+ unsigned long long total_bytes; /* +08 : number of original data size */
+- unsigned long block_size; /* +10 : number of compressed block size */
++ uint32_t block_size; /* +10 : number of compressed block size */
+ unsigned char ver; /* +14 : version 01 */
+ unsigned char align; /* +15 : align of index value */
+ unsigned char rsv_06[2]; /* +16 : reserved */
diff --git a/misc/ciso/ciso.info b/misc/ciso/ciso.info
new file mode 100644
index 0000000000..dc9d7ec0da
--- /dev/null
+++ b/misc/ciso/ciso.info
@@ -0,0 +1,10 @@
+PRGNAM="ciso"
+VERSION="1.0.0"
+HOMEPAGE="http://www.ciso.tenshu.fr"
+DOWNLOAD="http://ciso.tenshu.fr/ciso-1.0.0.tar.gz"
+MD5SUM="de8e1a02f42013cdfb5992115000d272"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Tarantino Antonino"
+EMAIL="metrofox9@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/ciso/fix_includes.patch b/misc/ciso/fix_includes.patch
new file mode 100644
index 0000000000..3ba61e5628
--- /dev/null
+++ b/misc/ciso/fix_includes.patch
@@ -0,0 +1,13 @@
+--- ciso.c~ 2010-06-16 13:02:45.044863179 +0200
++++ ciso.c 2010-06-16 13:02:13.348862969 +0200
+@@ -22,8 +22,10 @@
+
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <stdint.h>
+ #include <zlib.h> /* /usr(/local)/include/zlib.h */
+ #include <zconf.h>
++#include <string.h>
+
+ #include "ciso.h"
+
diff --git a/misc/ciso/slack-desc b/misc/ciso/slack-desc
new file mode 100644
index 0000000000..062f6ece94
--- /dev/null
+++ b/misc/ciso/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The handy ruler below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+ciso: ciso (Compress ISOs)
+ciso:
+ciso: Ciso is a small tool to compress your psp iso to cso format.
+ciso:
+ciso: Homepage: http://www.ciso.tenshu.fr
+ciso:
+ciso:
+ciso:
+ciso:
+ciso:
+ciso: